
QGIS Application - Bug report #19948

QGIS crashes toggling legend items filter

2018-09-26 03:01 AM - David Biggs

Status: Closed

Priority: High

Assignee:

Category: Map Legend

Affected QGIS version:3.2.3 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 27770

Description

Qgis Crashes when toggling legend item filter is toggled and only show items inside current atlas feature is ticked.

h2. User Feedback

Report Details

Crash ID: b8eab24505967c265177634bcfcf25d51c2a68ce

Stack Trace

QRasterPaintEngine::transformChanged :

QPainter::translate :

QGraphicsScene::drawForeground :

QGraphicsScene::dragMoveEvent :

QGraphicsItem::dragMoveEvent :

QGraphicsEffectSource::draw :

QgsLayoutEffect::draw :

QGraphicsScene::drawItems :

QGraphicsScene::drawItems :

QGraphicsView::paintEvent :

QgsLayoutView::paintEvent :

QWidget::event :

QFrame::event :

QGraphicsView::viewportEvent :

QCoreApplicationPrivate::sendThroughObjectEventFilters :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QWidgetPrivate::drawWidget :

QWidgetPrivate::paintSiblingsRecursive :

QWidgetPrivate::drawWidget :

QWidgetPrivate::paintSiblingsRecursive :

QWidgetPrivate::drawWidget :

QWidgetPrivate::paintSiblingsRecursive :

QWidgetPrivate::drawWidget :

QWidgetPrivate::paintSiblingsRecursive :

QWidgetPrivate::drawWidget :

QApplication::windowIcon :

QWidget::event :

QMainWindow::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QCoreApplicationPrivate::sendPostedEvents :

QGraphicsScene::~QGraphicsScene :

QObject::event :

QGraphicsScene::event :
QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QCoreApplicationPrivate::sendPostedEvents :

qt_plugin_query_metadata :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.2.3-Bonn

QGIS code revision: commit:9b176802e5

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

History

#1 - 2018-09-26 10:07 AM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from No to Yes

- Priority changed from Normal to High

- Status changed from Open to Feedback

- Subject changed from Legend Item... to QGIS crashes toggling legend items filter

Try again with a new/clean profile (no 3rd party plugins). If it continues then please attach a sample project with data that shows the problem.

#2 - 2018-11-08 01:31 PM - Giovanni Manghi

Please try on QGIS 3.4.1, if the issue is still valid change the affected version, thanks.

#3 - 2019-02-23 08:37 PM - Jürgen Fischer

- Status changed from Feedback to Closed

- Resolution set to no timely feedback

Bulk closing 82 tickets in feedback state for more than 90 days affecting an old version.  Feel free to reopen if it still applies to a current version and you

have more information that clarify the issue.
